Loading...
Searching...
No Matches
GeisDevice Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices

A gesture-capable input device. More...

`#include <geis.h>`

## Public Member Functions

Device Attributes
GeisDevice | geis_device_ref (GeisDevice device)
| Adds a reference count to a device.
void | geis_device_unref (GeisDevice device)
| Removes a reference count from a device.
GeisString | geis_device_name (GeisDevice device)
| Gets the name of the input device.
GeisInteger | geis_device_id (GeisDevice device)
| Gets the system identifier of the iput device.
GeisSize | geis_device_attr_count (GeisDevice device)
| Gets the number of attributes of the device.
GeisAttr | geis_device_attr (GeisDevice device, GeisSize index)
| Gets the indicated attribute of the device.
GeisAttr | geis_device_attr_by_name (GeisDevice device, GeisString attr_name)
| Gets a named attribute from the device.

## Detailed Description

A gesture-capable input device.

GeisDevice objects are created by the GEIS API and are reference counted.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h